@import "normalize.css";

.container {
  max-width: 900px;
  margin: 0 auto;
  width: calc(100% - 4rem);
  padding-bottom: 2rem;
}

.navbar {
  border-bottom: solid #e1e1e1 1px;
  position: sticky;
  z-index: 100;
  background: white;
  width: 100%;
  top: 0;
}

.nav-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: calc(100% - 8rem);
  max-width: 1370px;
  margin: 0 auto;
  padding-top: 20px;
  padding-bottom: 20px;
}

.nav-logo__chimnl-logo {
  width: 200px;
}

.nav-logo__chimnl-logo a {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-decoration: none;
}

.nav-logo__chimnl-logo span {
  font-size: 1.5rem;
}

.nav-items ul {
  list-style-type: none;
  display: flex;
  justify-content: left;
  flex-wrap: wrap;
  gap: 30px;
}

.nav-items ul li a {
  color: var(--color-chimnl-blue);
  text-decoration: none;
}

.nav-items ul li a:hover {
  text-decoration: underline;
}

.event-title {
  font-size: 3rem;
  margin-top: 20px;
  color: var(--color-chimnl-blue);
}

h2.event-subheading,
h4.event-subheading {
  font-weight: normal;
  margin-top: 10px;
  margin-bottom: 10px;
}

.event-info__item h2 {
  color: var(--color-chimnl-blue);
}

.event-info__item > p {
  word-wrap: break-word;
}

.event-info h2 {
  margin: 2rem auto 1rem;
}

.event-details h3 {
  font-size: 1.5rem;
}

table {
  width: 100%;
  border-collapse: collapse;
}
th,
td {
  border: 1px solid black;
  padding: 8px;
  text-align: left;
}
th {
  background-color: #f2f2f2;
}

td:nth-child(3),
.accepted-submissions td:nth-child(1) {
  width: 50%;
}

.committee-members {
  padding-left: 0;
}

.committee-members li {
  list-style-type: none;
  margin-bottom: 4px;
}

.mobile-nav {
  display: none;
}

.mobile-nav__exit {
  display: none;
  background: none;
}

.cta {
  color: white;
  background-color: var(--color-chimnl-blue);
  text-decoration: none;
  padding: 10px;
  border-radius: 5px;
}

.cta:hover {
  color: white;
  opacity: 0.85;
}

@media only screen and (max-width: 768px) {
  .nav-items {
    transition: all 300ms ease;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100vh;
    background-color: white;
    padding-top: 40px;
    font-size: 1.5rem;
    padding-right: 40px;
  }

  .nav-items[aria-expanded="false"] {
    display: block;
    left: -999px;
  }

  .nav-items[aria-expanded="true"] {
    display: block;
    left: 0;
  }

  .nav-items ul {
    flex-direction: column;
    align-items: start;
    justify-content: start;
  }

  .nav-container {
    width: 100%;
    padding-left: 30px;
    padding-right: 30px;
  }

  .mobile-nav__exit {
    display: block;
    margin-left: auto;
    margin-bottom: 20px;
    width: 50px;
  }

  .mobile-nav {
    display: block;
  }

  .mobile-nav > button {
    width: 60px;
    background: none;
  }
}
